library ieee;
use ieee.std_logic_1164.all;

ENTITY andgate IS
   PORT (a, b : IN std_logic;
          c : OUT std_logic);
END andgate;

ARCHITECTURE andgate_behav OF andgate IS
BEGIN
   c <= a AND b;
END andgate_behav;
